Page MenuHomePhabricator

Update Kartographer mapPin icon to exact OOUI mapPin icon
Closed, ResolvedPublic

Description

Kartographer updated the icon first, but it never pretended to be the master version of the icon.
As OOUI updated the master version of the icon, and since their icon is (very) slightly different, we now need to replace Kartographer's version with theirs.

<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20">
	<title>
		map pin
	</title><g fill="#36c">
	<path d="M10 0a7.65 7.65 0 0 0-8 8c0 2.52 2 5 3 6s5 6 5 6 4-5 5-6 3-3.48 3-6a7.65 7.65 0 0 0-8-8zm0 11.25A3.25 3.25 0 1 1 13.25 8 3.25 3.25 0 0 1 10 11.25z"/>
</g></svg>
<?xml version="1.0" encoding="utf-8"?>
<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><style>* { fill: #36c }</style>
    <path d="M19 12c0-3.9-3.1-7-7-7s-7 3.1-7 7c0 1.4.4 2.6 1.1 3.7L12 23l5.9-7.3c.7-1.1 1.1-2.3 1.1-3.7zm-7 3c-1.65 0-3-1.35-3-3s1.35-3 3-3 3 1.35 3 3-1.35 3-3 3z"/>
</svg>

Note: the PNG fallbacks need to be generated for OOui JS, and updated in Kartographer's repo.

Event Timeline

JGirault created this task.Dec 6 2016, 11:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2016, 11:58 PM
JGirault triaged this task as Low priority.Dec 6 2016, 11:58 PM
JGirault updated the task description. (Show Details)
JGirault moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.

The ones by @RHo were used in OOjs UI.

Volker_E renamed this task from Update Kartographer mapPin icon to exact OOui JS mapPin icon to Update Kartographer mapPin icon to exact OOjs UI mapPin icon.Dec 7 2016, 12:35 AM
Volker_E awarded a token.
Restricted Application added a project: Design. · View Herald TranscriptJan 5 2017, 10:42 PM

Change 348646 had a related patch set uploaded (by JGirault):
[mediawiki/extensions/Kartographer@master] Update mapPin-progressive icons with OOjs UI version

https://gerrit.wikimedia.org/r/348646

JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.Apr 17 2017, 11:07 PM

Waiting for a decision on where should the icons' assets live: in OOui, in core, or bundled with the extension...

/cc @Volker_E UI-Standardization

For the record, if Kartographer loads the icons from OOui, it will look like that:

background-image-svg( '../../../resources/lib/oojs-ui/themes/mediawiki/images/icons/mapPin-progressive.svg', 
 ../../../resources/lib/oojs-ui/themes/mediawiki/images/icons/mapPin-progressive.png' );

Change 348646 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Update mapPin-progressive icons with OOjs UI version

https://gerrit.wikimedia.org/r/348646

debt removed JGirault as the assignee of this task.Jun 14 2017, 2:42 PM
debt added subscribers: Jdforrester-WMF, debt.

Moving off the sprint board - if someone from Design (or maybe @Jdforrester-WMF) wants to continue the work, please do. The Discovery team won't be able to finish this work at this time.

Change 514627 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Kartographer@master] Update 'mapPin' icon to latest

https://gerrit.wikimedia.org/r/514627

BeforeAfter
Volker_E renamed this task from Update Kartographer mapPin icon to exact OOjs UI mapPin icon to Update Kartographer mapPin icon to exact OOUI mapPin icon.Jun 5 2019, 10:42 PM
Volker_E updated the task description. (Show Details)

Change 514627 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Update 'mapPin' icon to latest

https://gerrit.wikimedia.org/r/514627

Volker_E closed this task as Resolved.Jun 6 2019, 1:31 AM
Volker_E claimed this task.
Volker_E removed a project: Patch-For-Review.
TheDJ awarded a token.Jun 6 2019, 7:41 AM